import { Command, flags as flagtype } from "@oclif/command";
import { DocumentAccessList, DocumentAccessResponse } from "@ironcorelabs/ironnode";
import { ErrorOr } from "../../lib/Utils";
declare type FileGrantResponse = ErrorOr<{
    source: string;
    shares: DocumentAccessResponse;
}>;
/**
 * File grant command. Lets user grant access to a file or list of files to a list of groups and/or users.
 */
export default class Grant extends Command {
    static description: string;
    static strict: boolean;
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        keyfile: flagtype.IOptionFlag<string | undefined>;
        users: flagtype.IOptionFlag<string[] | undefined>;
        groups: flagtype.IOptionFlag<string[] | undefined>;
    };
    static examples: string[];
    /**
     * Build a Promise that shares the provided file with the provide list of users and groups. Returns a fixed grant response
     * so that we can partially fail the grant operation.
     */
    getGrantPromise(filePath: string, accessList: DocumentAccessList): Promise<FileGrantResponse>;
    run(): Promise<void>;
}
export {};
