import { Command, flags as flagtype } from "@oclif/command";
import { DocumentAccessList, DocumentAccessResponse } from "@ironcorelabs/ironnode";
import { ErrorOr } from "../../lib/Utils";
declare type FileRevokeResponse = ErrorOr<{
    source: string;
    revokes: DocumentAccessResponse;
}>;
/**
 * File revoke command. Lets user revoke access to a file or list of files from a list of groups and/or users.
 */
export default class Revoke extends Command {
    static description: string;
    static strict: boolean;
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        keyfile: flagtype.IOptionFlag<string | undefined>;
        users: flagtype.IOptionFlag<string[] | undefined>;
        groups: flagtype.IOptionFlag<string[] | undefined>;
    };
    static examples: string[];
    /**
     * Build a Promise that revokes access to the provided file with the provide list of users and groups. Returns a fixed revoke response
     * so that we can partially fail the revoke operation.
     */
    getRevokePromise(filePath: string, accessList: DocumentAccessList): Promise<FileRevokeResponse>;
    run(): Promise<void>;
}
export {};
