import { Command, flags as flagtype } from "@oclif/command";
import { GroupUserEditResponse } from "@ironcorelabs/ironnode";
/**
 * Group add admin command. Takes a comma-separated list of emails as admins as well as the group name and attempts to add
 * users to the group as admins.
 */
export default class AddAdmin extends Command {
    static aliases: string[];
    static description: string;
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        keyfile: flagtype.IOptionFlag<string | undefined>;
        users: flagtype.IOptionFlag<string[] | undefined>;
    };
    static examples: string[];
    /**
     * Build up a table that displays the results from the group add admin operation showing both successes and failures.
     */
    buildResultTable(buildResults: GroupUserEditResponse): import("cli-table3").GenericTable<import("cli-table3").Cell[]>;
    run(): Promise<void>;
}
