import { Command, flags as flagtype } from "@oclif/command";
/**
 * Group create command. Creates a new group with the user provided ID. Auto adds the creator of the group as a member and an admin.
 */
export default class Create extends Command {
    static description: string;
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        keyfile: flagtype.IOptionFlag<string | undefined>;
    };
    static examples: string[];
    /**
     * Check if the user is already a member/admin of a group with the provided name and fail if they are or
     * if we can't get the list of groups they're in.
     */
    checkGroupExists(groupName: string): Promise<void>;
    run(): Promise<undefined>;
}
