import { Command, flags as flagtype } from "@oclif/command";
/**
 * Change the name of a group given its existing name or ID and a new name to update it to.
 */
export default class Rename extends Command {
    static description: string;
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        keyfile: flagtype.IOptionFlag<string | undefined>;
    };
    static examples: string[];
    /**
     * Check if the user is already a member/admin of a group with the provided name that they're changing to.
     */
    checkGroupExists(groupName: string): Promise<void>;
    run(): Promise<undefined>;
}
