import { Command, flags as flagtype } from "@oclif/command";
import { UserDeviceListResponse } from "@ironcorelabs/ironnode";
/**
 * User device list command. Gets a list of a users devices and displays their ID, name, timestamps, and whether the device is their current device.
 */
export default class DeviceList extends Command {
    static aliases: string[];
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        keyfile: flagtype.IOptionFlag<string | undefined>;
    };
    /**
     * Build up a table that adds a row for each device and shows the device ID, name, and created and updated times in an easier to read format
     */
    buildUserKeyTable(devices: UserDeviceListResponse): import("cli-table3").GenericTable<import("cli-table3").Cell[]>;
    run(): Promise<void>;
}
