import { Command, flags as flagtype } from "@oclif/command";
import { UserPublicKeyGetResponse } from "@ironcorelabs/ironnode";
/**
 * User lookup command. Attempts to retrieve public keys for a list of users given their email addresses.
 */
export default class Lookup extends Command {
    static description: string;
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static strict: boolean;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        keyfile: flagtype.IOptionFlag<string | undefined>;
    };
    static examples: string[];
    /**
     * Build up a table that adds a row for each key result row which either displays the users public key or an error message
     * saying that the user has yet to create an account.
     */
    buildUserKeyTable(userKeys: UserPublicKeyGetResponse): import("cli-table3").GenericTable<import("cli-table3").Cell[]>;
    run(): Promise<void>;
}
