import { GroupMetaResponse } from "@ironcorelabs/ironnode";
export interface GroupsByName {
    [groupIndex: string]: GroupMetaResponse | GroupMetaResponse[];
}
export interface GroupsByID {
    [groupID: string]: GroupMetaResponse;
}
export declare const GROUP_ID_PREFIX = "id^";
/**
 * Clear group list cache. Used only within unit tests.
 */
export declare function clearCache(): void;
/**
 * Get a map from group ID to group information for all the groups the user is a part of.
 */
export declare function getGroupMaps(): Promise<[GroupsByName, GroupsByID]>;
/**
 * Take a list of group names and map them to a list of group IDs. If any name provided can't be mapped to a name
 * it will come back unmodified.
 */
export declare function convertGroupNamesToIDs(groupNames: string[] | undefined, groupsByName: GroupsByName): Promise<string[]>;
/**
 * Given a group name, lookup the groups that the user is a part of and attempt to get the ID of
 * the group. Will return null if user isn't a member or admin of any group with the provided name.
 */
export declare function getGroupIDFromName(groupName: string): Promise<string>;
/**
 * Given a group name, see if the user is already part of a group with the same name.
 */
export declare function doesGroupNameAlreadyExist(groupName: string): Promise<boolean>;
