"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const wrapAnsi = require("wrap-ansi");
const util_1 = require("util");
/**
 * Display the provided message to the console, but wrap it at word breaks to either match the console width, or a fixed
 * width to make it easier to read.
 */
function info(message) {
    const columns = Math.min(process.stdout.columns, 140);
    const detailedMessage = typeof message === "string" ? message : util_1.inspect(message);
    process.stdout.write(wrapAnsi(util_1.format(detailedMessage) + "\n", columns));
}
exports.info = info;
